System 2.0.0.0 4.0.0.0 System.Enum

There are two types of performance counter categories: single-instance and multi-instance. By default, a category is single-instance when it is created and becomes multi-instance when another instance is added. Categories are created when an application is set up, and instances are added at run time. In the .NET Framework version 1.0 and version 1.1, it is not necessary to know whether a performance counter category is multi-instance or single-instance. In the .NET Framework version 2.0, the enumeration is used to indicate whether a performance counter can have multiple instances.

Indicates whether the performance counter category can have multiple instances.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.PerformanceCounterCategoryType

  The performance counter category can have multiple instances.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.PerformanceCounterCategoryType

  The performance counter category can have only a single instance.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.PerformanceCounterCategoryType

  The instance functionality for the performance counter category is unknown.